extends Control

var SettingsMenu = preload("res://scenes/menus/SettingsMenu.tscn")


func _draw():
	find_node("resume").grab_focus()


func _on_resume_pressed():
	hide()


func _on_settings_pressed():
	var settings_menu = SettingsMenu.instance()
	get_parent().add_child(settings_menu)
	hide()


func _on_end_pressed():
	gamestate.quit_game()